<template>
    <div v-if="loading" class="loading-screen">
      <!-- Your loading animation or message here -->
      <div class="loader">Loading...</div>
    </div>
  </template>
  
  <script>
  export default {
    data() {
      return {
        loading: false,
      };
    },
    created() {
      this.$nuxt.$on('loading', (isLoading) => {
        this.loading = isLoading;
      });
    },
  };
  </script>
  
  <style scoped>
  .loading-screen {
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background: rgba(255, 255, 255, 0.8);
    display: flex;
    justify-content: center;
    align-items: center;
    z-index: 9999;
  }
  
  </style>
  